<?php

error_reporting(E_ALL & ~E_NOTICE & ~E_WARNING & ~E_DEPRECATED);

//****************** 設定項目 ************************

$pd="admin";			#管理パスワード(英数8字以内)※必ず変更すること

//*************** 設定はここまで *******************************

require_once('./lib/conf.php');
require_once('./lib/func.php');
require_once('./lib/db_sqlite.php');
require_once('./lib/db_fields.php');
require_once('./lib/makedb.php');

$o_main=new Main;
$o_func=new Func;
$o_db=new DB;

$maxsize=1000000;

$fo=$o_main->ParseInt();

if($fo['mode']){
	$o_main->checkpass($fo['pass']);
}

switch($fo['lib']){
	case "makedb":
		$o_makedb=new MakeDB;
		switch($fo['mode']){
			case "top":
				$o_makedb->Top($fo,"");
				break;
			case "del":
				$o_makedb->Del($fo);
				break;
			case "table":
				$o_makedb->Table($fo);
				break;
			case "data":
				$o_makedb->Data($fo);
				break;
			default:
				$o_makedb->Top($fo,"");
				break;
		}
		break;
	default:
		switch($fo['mode']){
			case "menu":
				$o_main->Menu($fo);
				break;
			default:
				$o_main->Ent($fo);
				break;
		}
}




Class Main{


function Ent($fo){

self::Head("");

print <<<EOM
<body>
<form action="$script" method="POST">
<input type="hidden" name="mode" value="menu">
※管理用パスワードを入力してください。<br>
<input type="password" name="pass" size="8">
<input type="submit" value="ログイン">
</body>
</html>
EOM;



exit;

}

function Menu($fo){
global $ascrit;

self::Head("");


print <<<EOM
<body>
<div class="w300">機能の選択</div>
<p class="t_center">機能を選んでボタンを押してください。</p>

<form action="{$ascript}" method="POST">
<input type="hidden" name="pass" value="{$fo['pass']}">
<ul class="btn_table box_center">
<li>
<input type="button" name="menu" value="データベース" class="bt" onclick="jump('makedb')">
</li>
</ul>
</form>
<form name="fo" action="{$ascript}" method="POST">
<input type="hidden" name="pass" value="{$fo['pass']}">
<input type="hidden" name="lib" value="">
</form>
<script>

function jump(m){
document.fo.lib.value=m;
document.fo.submit();
}

</script>
</body>
</html>
EOM;
exit;


}

function checkpass($fopass){
global $pd;
global $o_main;

if($pd == ""){
	$o_main->Error("パスワードが設定されていません。");
}

if($fopass != $pd){
	$o_main->Error("パスワードが違います。");
}

return;
}



function Head($act){

header("Content-type: text/html");

print <<<EOM
<!DOCTYPE HTML>
<html>
<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width,initial-scale=1">
<meta name="ROBOTS" content="NOINDEX,NOFOLLOW,NOARCHIVE">
<title>管理画面</title>
<style type="text/css">
<!--

.b{
	font-weight: bold;
}

.midasi{
	margin-bottom: 10px;
}

.tb{ 
	border: 1px solid #999999;
	border-collapse: collapse;
}
.tb td{
	border: 1px solid #999999;
	border-collapse: collapse;
}

#main{
	width: 960px;
	word-break: break-all;
	padding: 0px;
	text-align: left;
}

#main_left{
	width: 160px;
	float: left;
	padding: 0px;
	box-sizing: border-box;
}

#main_right{
	width: 800px;
	float: left;
	padding: 0px;
	box-sizing: border-box;
}

.cl{
	width: 100%;
}

.cl:after {
	content: ""; 
	display: block; 
 	clear: both;
}

.komoku_fo{
	margin-bottom: 20px;
}

ul.pagelink{
	list-style-type: none;
	margin: 0;
}

ul.pagelink li{
	float: left;
}

ul.pagelink a, ul.pagelink li.current{
	display: block;
	width: 20px;
	line-height: 20px;
	text-align: center;
	text-decoration: none;
	border-style: solid;
	border-color: #bebebe;
	border-width: 1px;
	margin-right: 3px;
	padding:1px;
	font-size: 13px;
}

ul.pagelink li.ten{
	width: 15px;
	text-align: center;
	margin-right: 3px;
	padding:1px;
}

ul.pagelink a:hover{
	background-color: #F0F0F0;
}

ul.pagelink:after{
	display: block;
	clear: both;
	content: '';
}

ul.pagelink li.current{
	font-weight:bold;
}
ul {
    list-style: none;
    margin-left: 0;
    padding-left: 0;
}

.midasi{
	font-weight: bold;
	font-size: 20px;
	margin-top: 10px;
}

-->
</style>
<script>

function Del(v){
	var r=delcheck();
	if(!r){
		return false;
	}
	document.delfo.delnum.value=v;
	document.delfo.submit();
}
function Edit(v){
	document.editfo.editnum.value=v;
	document.editfo.submit();
}

function delcheck(){
if(window.confirm("本当に削除しますか？")){ 
return true;
} 
else{
return false;
}
}
</script>
EOM;

if($act){
print <<<EOM
<script type="text/javascript">
function Alert(){
	alert("{$act}");
}
window.onload=Alert;
</script>
EOM;
}

print <<<EOM
</head>
EOM;
}


function Error($e){

self::Head("");

print <<<EOM
<h3>ERROR</h3>
<p>
EOM;

print $e;

print <<<EOM
</p>
</body>
</html>
EOM;
exit;

}


function ParseInt(){
global $o_func;

if($_SERVER['REQUEST_METHOD'] == 'POST'){
	$ary=&$_POST;
}
else{
	$ary=&$_GET;
}

$in=array();
foreach($ary as $name => $value){
	$name=$o_func->HtmlEsc($name);
	$value=$o_func->HtmlEsc($value);
	$name=SQLite3::escapeString($name);
	$value=SQLite3::escapeString($value);
	$in[$name]=$value;
}

return $in;
}


}//Class End

?>